logo
IntegrationsGet specific CRM status

Get specific CRM status

Returns connection status and sync stats for a specific CRM type.

curl -X GET "https://api.sendkit.ai/v1/integrations/crm/hubspot" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "crmType": "attio",
    "enabled": true,
    "status": "connected",
    "lastSyncAt": "2026-03-23T09:05:36.161Z",
    "totalPulled": 5998,
    "totalPushed": 10,
    "lastError": null,
    "hasApiKey": true
  }
}
GET
/v1/integrations/crm/{type}
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
path
typestring
Required

CRM provider type

Options: attio, hubspot, pipedrive, airtable, salesforce, supabase
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

typestring
Required

CRM provider type

Allowed values:attiohubspotpipedriveairtablesalesforcesupabase

Responses

successboolean
dataobject